import { z } from 'zod';
import { PortfolioElement } from './portfolio';
export interface ContactFormProps {
  sectionId?: string;
  className?: string;
  styling?: PortfolioElement['styling'];
}

export const contactFormSchema = z.object({
  name: z.string().min(2, 'Name has to be at least 2 characters long').max(50),
  email: z.string().email(),
  message: z.string().min(10, 'Message must be at least 10 characters').max(500),
});

export type ContactFormSchema = z.infer<typeof contactFormSchema>;
